#!/usr/bin/perl -i.bak

use English;

use vars qw(@MATH_MODE_SYMBOLS $MATH_MODE_SYMBOL_FILEPATH);

$MATH_MODE_SYMBOL_FILEPATH = $ARGV[1].'/math_mode_symbol_list.txt';

#$beginMathModeRE = '(?:\\\\begin{(?:equation|align|eqnarray)\\*?}|\\$)';
#$endMathModeRE = '(?:\\\\end{(?:equation|align|eqnarray)\\*?}|\\$)';
$beginMathModeRE = '\\\\begin{(?:equation|align|eqnarray)\\*?}';
$endMathModeRE = '\\\\end{(?:equation|align|eqnarray)\\*?}';


## get input
undef $INPUT_RECORD_SEPARATOR;
$file = <>;

#print STDERR "*****here's what i got86 ******\n$file\n";

## transform it

$file =~ s/$endMathModeRE[ \t]*$beginMathModeRE\s*(\n?)/\1/g;
$file =~ s/$endMathModeRE[ \t]*=[ \t]*$beginMathModeRE\s*(\n?)/&=\1/g;
$file =~ s/$endMathModeRE[ \t]*\n[ \t]*$beginMathModeRE\s*(\n?)/\\\\\1/g;



# print output
print $file; 
#print STDERR "Here's what I put86: $file\n";
